package com.jeffknecht.dynadao.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotates a DAO interface with the
 * type of class that the DAO works with.
 * Required for DynaDaoProxy generation.
 * 
 * @author jeff.knecht
 *
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface DTOClass {
	/**
	 * The class of the DTO referenced
	 * by this DAO interface or method.
	 * 
	 * @return
	 */
	public Class value();
}
