package com.jeffknecht.dynadao.api;

import org.springframework.dao.DataAccessException;

/**
 * Represents a problem encountered by the DynaDao library, usually
 * resulting from an inability to set a value on an inaccessible
 * field or class.
 * 
 * @author jeff.knecht
 *
 */
public class DynamicDaoDataAccessException extends DataAccessException {

	/**
	 * Generated SerialVersionUID
	 */
	private static final long serialVersionUID = 1185091265569282042L;

	public DynamicDaoDataAccessException(String msg, Throwable cause) {
		super(msg, cause);
	}

	public DynamicDaoDataAccessException(String msg) {
		super(msg);
	}

}
